Bug 662232 - no more need for parameter showIncompatiblePools in /etc/rhsm/rhsm.conf
Summary: no more need for parameter showIncompatiblePools in /etc/rhsm/rhsm.conf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Adrian Likins
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2010-12-10 22:54 UTC by John Sefler
Modified: 2011-05-19 13:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:38:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description John Sefler 2010-12-10 22:54:23 UTC
Description of problem:

With the new subscription-manager-gui, I believe parameter showIncompatiblePools in /etc/rhsm/rhsm.conf is no longer used.


Version-Release number of selected component (if applicable):
[root@jsefler-onprem01 tmp]# rpm -qa | grep  subscription-manager
subscription-manager-0.93.3-1.git.6.f32eede.fc14.x86_64
subscription-manager-gnome-0.93.3-1.git.6.f32eede.fc14.x86_64


Steps to Reproduce:
[root@jsefler-onprem01 tmp]# grep show /etc/rhsm/rhsm.conf
# Flag to show unsupported entitlement pools in GUI:
showIncompatiblePools=0

^^^ THIS PARAMETER IS NOT NEEDED ANYMORE

Comment 2 Adrian Likins 2010-12-13 16:26:44 UTC
commit 76ec4186f866c37e560bcd0f302d2038930be300
Author: Adrian Likins <alikins@redhat.com>
Date:   Mon Dec 13 11:18:02 2010 -0500

    662232: remove "showIncompatiblePools" config option

Comment 3 John Sefler 2010-12-13 19:18:56 UTC
[root@jsefler-dev2-2 ~]# rpm -qa | grep  subscription-manager
subscription-manager-gnome-0.93.3-1.git.17.002817a.fc14.x86_64
subscription-manager-0.93.3-1.git.17.002817a.fc14.x86_64

[root@jsefler-dev2-2 ~]# grep show /etc/rhsm/rhsm.conf
[root@jsefler-dev2-2 ~]# cat /etc/rhsm/rhsm.conf
# Red Hat Subscription Manager Configuration File:

# Unified Entitlement Platform Configuration
[server]
# Server hostname:
hostname=candlepin1.devlab.phx1.redhat.com

# Server prefix:
prefix = /candlepin

# Server port:
port=443

# Set to 1 to disable certificate validation:
insecure = 0

# Set the depth of certs which should be checked
# when validating a certificate
ssl_verify_depth = 3

# Server CA certificate location:
ca_cert_dir = /etc/rhsm/ca/

# an http proxy server to use
proxy_hostname =

# port for http proxy server
proxy_port = 

[rhsm]
# Content base URL:
baseurl=http://mockamai.devlab.phx1.redhat.com

# Default CA cert to use when generating yum repo configs:
repo_ca_cert = %(ca_cert_dir)sfakamai-cp1.pem

# Where the certificates should be stored
productCertDir = /etc/pki/product
entitlementCertDir = /etc/pki/entitlement
consumerCertDir = /etc/pki/consumer

[rhsmcertd]
# Frequency of certificate refresh (in minutes):
certFrequency = 240


VERIFIED showIncompatiblePools has been removed from rhsm.config

Comment 4 errata-xmlrpc 2011-05-19 13:38:11 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.